YUI AS Component Documentation |
Interface ICategoryChart

Package | com.yahoo.astra.fl.charts
Interface | public interface ICategoryChart
Implementors | CartesianChart, PieChart

A type of chart that displays its data in categories.

Public Properties

| Property | Defined by
--- | --- | ---
|  | categoryNames : Array The names of the categories displayed on the category axis. | ICategoryChart

Property detail

categoryNames | property

`categoryNames:Array` [read-write]

The names of the categories displayed on the category axis. If the chart does not have a category axis, this value will be ignored.

Implementation
`public function get categoryNames():Array`
`public function set categoryNames(value:Array):void`